vstupy=load('vstupy.txt');
x = vstupy';                                %načtení vstupů

dimension1 = 10;                            %rozměry výstupní mřížky
dimension2 = 10;

coverSteps= 100;                            %počet diskrétních kroků
initNeighbor = 10;
topologyFcn = 'hextop';                     % nastavení tvaru polí mřížky
distanceFcn='dist';                     % nastavení způsobu měření vzdálenosti

net = selforgmap([dimension1 dimension2],coverSteps ,initNeighbor, topologyFcn, distanceFcn);  % vytvoření sítě

[net,tr] = train(net,x);                    % trénink sítě

y = net(x);                                 % testování sítě

